Skip site navigation (1) Skip section navigation (2)

Re: pg_upgrade from 9.0.7 to 9.1.3: duplicate key pg_authid_oid_index

From: Bryan Murphy <bmurphy1976(at)gmail(dot)com>
To: Jeff Davis <pgsql(at)j-davis(dot)com>
Cc: PGSQL Mailing List <pgsql-general(at)postgresql(dot)org>
Subject: Re: pg_upgrade from 9.0.7 to 9.1.3: duplicate key pg_authid_oid_index
Date: 2012-06-01 13:07:42
Message-ID: CAP+1M2dGxVz6hksZBsKbTo15JJwqrPvyjyg5F18KPH9HmZhxnA@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-generalpgsql-hackers
On Thu, May 31, 2012 at 4:28 PM, Jeff Davis <pgsql(at)j-davis(dot)com> wrote:

> On Thu, 2012-05-31 at 15:55 -0500, Bryan Murphy wrote:
> > I'm having a problem upgrading a cluster from 9.0.7 to 9.1.3.  Here's
> > the error:
>
> Please send /srv/pg_upgrade_dump_globals.sql
>
> Also, can you restart the old system (by removing the ".old" suffix, as
> the message suggests), and then do a "SELECT oid,* FROM pg_authid" and
> send the output along?
>

Here's the requested data: https://gist.github.com/2852014

I had to censor some of it because it contained sensitive information,
hopefully the censoring is obvious and I don't believe I touched any of the
functional information.

Thanks,
Bryan

In response to

Responses

pgsql-hackers by date

Next:From: Tom LaneDate: 2012-06-01 13:29:17
Subject: Re: Re: [COMMITTERS] pgsql: Checkpointer starts before bgwriter to avoid missing fsync reque
Previous:From: Florian PflugDate: 2012-06-01 12:47:29
Subject: Re: 9.2beta1, parallel queries, ReleasePredicateLocks, CheckForSerializableConflictIn in the oprofile

pgsql-general by date

Next:From: Bryan MurphyDate: 2012-06-01 13:45:41
Subject: Re: pg_upgrade from 9.0.7 to 9.1.3: duplicate key pg_authid_oid_index
Previous:From: Chris TraversDate: 2012-06-01 12:50:15
Subject: Re: Procedural Languages

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group